{
    "name": "@typemon/metadata",
    "version": "1.0.0-rc.4",
    "description": "Highly abstracted and simplified metadata management.",
    "main": "dist/index.js",
    "types": "dist/index.d.ts",
    "scripts": {
        "test": "jest -c ./jest.json",
        "clear": "rimraf ./*.tgz ./dist ./coverage",
        "lint": "eslint .",
        "precompile": "npm run clear && npm run lint",
        "compile": "tsc -p ./tsconfig.compile.json",
        "prepublishOnly": "npm run compile",
        "postpublish": "npm run clear",
        "generate-latest-changelog": "conventional-changelog -p angular -i CHANGELOG.md -s -r 1"
    },
    "repository": {
        "type": "git",
        "url": "https://gitlab.com/monster-space-network/typemon/metadata.git"
    },
    "keywords": [
        "monster-space-network",
        "typemon",
        "metadata"
    ],
    "author": {
        "name": "Monster Space Network",
        "email": "monsterspace.network@gmail.com",
        "url": "https://gitlab.com/monster-space-network"
    },
    "license": "MIT",
    "dependencies": {
        "@typemon/check": "^5.2.0"
    },
    "devDependencies": {
        "@types/jest": "^26.0.20",
        "@types/node": "^14.14.22",
        "@typescript-eslint/eslint-plugin": "^4.14.1",
        "@typescript-eslint/parser": "^4.14.1",
        "conventional-changelog-cli": "^2.1.1",
        "eslint": "^7.18.0",
        "jest": "^26.6.3",
        "reflect-metadata": "^0.1.13",
        "rimraf": "^3.0.2",
        "ts-jest": "^26.4.4",
        "ts-node": "^9.1.1",
        "typescript": "^4.1.3"
    }
}
